Skip to main content
GET
/
v1
/
deployments
Get deployments
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/ \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "deploymentUrl": "<string>",
      "id": 123,
      "name": "<string>"
    }
  ],
  "items": [
    {
      "deploymentUrl": "<string>",
      "id": 123,
      "name": "<string>"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  },
  "count": 1,
  "pageInfo": {
    "hasNextPage": true,
    "hasPreviousPage": true,
    "endCursor": "<string>",
    "startCursor": "<string>"
  },
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Query Parameters

creationStep
Available options:
project,
upload,
schema,
github,
ssh,
databases,
ready,
demo
offset
integer
Required range: x >= 0
limit
integer
Required range: x >= 0
first
any

Page size for cursor-based pagination

after
any

Cursor for fetching the next page

Response

200 - application/json
data
object[]
required
items
object[]
required
pagination
object
required
count
integer | null
Required range: x >= 0
pageInfo
object
totalCount
integer | null
Required range: x >= 0